Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 170175 - [68cat] Invoking File Members took 24859 ms.
[68cat] Invoking File Members took 24859 ms.
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Navigation
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on: 170882
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-11 08:25 UTC by stefan79
Modified: 2009-10-09 23:09 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (60.54 KB, bin/nps)
2009-08-11 08:25 UTC, stefan79
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stefan79 2009-08-11 08:25:22 UTC
Build: NetBeans IDE Dev (Build 200908022240)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: Windows XP, 5.1, x86

User Comments:
stefan79: Tried to inspect members (Control-F12) on a small class (~1000 rows)

stefan79: I pressed Ctrl-F12 (Inspect Members) on a Class with 7500 lines.


Maximum slowness yet reported was 74484 ms, average is 23682
Comment 1 stefan79 2009-08-11 08:25:27 UTC
Created attachment 86072 [details]
nps snapshot
Comment 2 Exceptions Reporter 2009-08-11 08:25:32 UTC
This issue already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153796
Comment 3 Dusan Balek 2009-08-11 16:04:15 UTC
Calling runUserActionTask(...) from the AWT event queue should be avoided.
Comment 4 Tomas Zezula 2009-09-25 12:54:26 UTC
I was fixing today similar problem in the inspect hierarchy.
Taking ownership.
Comment 5 stefan79 2009-10-02 11:56:15 UTC
Please have a look at the latest report (http://statistics.netbeans.org/analytics/exception.do?id=271492).
It was a class with 4500 lines.
I opened the class 10 minutes before and switched between some source-files.
Then I pressed Ctrl-F12, to get the Methods.

----
Product Version: NetBeans IDE Dev (Build 200909301401)
Java: 1.6.0_16; Java HotSpot(TM) Client VM 14.2-b01
Comment 6 Tomas Zezula 2009-10-06 16:01:22 UTC
Fixed in jet-main 42ae6cbcfbb2
Comment 7 Quality Engineering 2009-10-09 23:09:38 UTC
Integrated into 'main-golden', will be available in build *200910091401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/42ae6cbcfbb2
User: Tomas Zezula <tzezula@netbeans.org>
Log: #170175:[68cat] Invoking File Members took 24859 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo